Posting queue
The queue is a set of slots that repeat every week. A post with queue: true takes the next free one, so you can fill the calendar without computing dates.
curl -X PUT "https://api.usecrier.com/v1/profiles/prf_8f2k4d/queue" \ -H "Authorization: Bearer $CRIER_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "timezone": "Europe/Madrid", "slots": [ { "dayOfWeek": 1, "time": "09:00" }, { "dayOfWeek": 3, "time": "13:30" }, { "dayOfWeek": 5, "time": "18:00" } ] }'const res = await fetch('https://api.usecrier.com/v1/profiles/prf_8f2k4d/queue', { method: 'PUT', headers: { Authorization: `Bearer ${process.env.CRIER_API_KEY}`, 'Content-Type': 'application/json', }, body: JSON.stringify({ "timezone": "Europe/Madrid", "slots": [ { "dayOfWeek": 1, "time": "09:00" }, { "dayOfWeek": 3, "time": "13:30" }, { "dayOfWeek": 5, "time": "18:00" } ] }),});const { data } = await res.json();import os, requests
res = requests.put( "https://api.usecrier.com/v1/profiles/prf_8f2k4d/queue", headers={"Authorization": f"Bearer {os.environ['CRIER_API_KEY']}"}, json={ "timezone": "Europe/Madrid", "slots": [ { "dayOfWeek": 1, "time": "09:00" }, { "dayOfWeek": 3, "time": "13:30" }, { "dayOfWeek": 5, "time": "18:00" } ] },)data = res.json()["data"]dayOfWeekgoes from0(Sunday) to6(Saturday).timeisHH:mm, 24-hour, in the queue’s timezone.PUTreplaces every slot.DELETEremoves the queue.- The response includes
nextSlots: the next free slots.
© 2026 Crier by TWOFACES ·usecrier.com ·Dashboard ·soporte@twofacesco.com